<?php
/*

 $Id: create_zone.php,v 1.11 2003/09/03 16:49:13 vollmerk Exp $
 $Source: /a1/cvsroot/maint/docs/create_zone.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
/*

/*!
	@header Create Zone 
	The document for creating a new zone. 
*/

/* Start House Keeping */
	
	require "../modules/config.php";


	// do anything that needs to be done here
	check_session();

	// setup the user environment
	setup_user_environment($action, $zone_id);

/* End House Keeping */


//Sorry, only admins here
if (! $user->is_admin) {
	header("Location: " .  $conf['web_path'] . "/index.php");
	exit();
}

show_template('header');

/*!
	@function create_new_zone
	@discussion if we are creating it then... let's make magic happen.
*/
if ($action == "create_new_zone") {

	$zone = new Zone(0);
	
	$zone->check_name($name,0);	

	// if it looks good then let's go ahead and create the cname
	if (!$conf['error']->error_state) 
	{
		$zone_id = $zone->new_zone($name,$description, $comment);
		// the zone has been created lets confirm the mojo
		$conf['ui']->display_confirmation("Zone $name created", "The Zone $name has been created, click continue to edit your new zone", $conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone_id");	
		$created = "1";
	}

} // create_new_zone

if (!$created) {
?>

<p><font class="header1">Manage Zones</font></p>

<p><font class="header2">Creating a new Zone</font></p>

<form action="<?= $conf['web_path']; ?>/create_zone.php" method="post" enctype="multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("zone"); ?>"><? $conf['help']->show_help_link('zone'); ?> New Zone Name:</td>
	<td><input type="textbox" size="25" name="name" />
	<? if ($conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
	</td>
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;&nbsp;&nbsp;&nbsp; Short Description:</td>
	<td><input type="textbox" name="description" size="35" /></td>
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor();; ?>">
	<td valign="top">&nbsp;&nbsp;&nbsp;&nbsp; Comment:</td>
	<td><textarea cols="50" rows="20" name="comment"></textarea></tr>
</tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2">
		<input type="hidden" name="action" value="create_new_zone" />
		<input type="submit" value="Create New Zone" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
<? } ?>

<? show_template('footer'); ?>
