<?php

/*

 $Id: show_autoreg_create_host.inc,v 1.3 2003/09/11 17:56:11 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_autoreg_create_host.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Create Host Template
	This is the required template for making a new host. 
	This contains both "quick host create" and the full blown one

*/

// we'll need these bad boys below
$domains  = $conf['zone']->domains();
$ranges   = $conf['zone']->ip_ranges();
if ($host_view) { $user->host_view = $host_view; }
?>

<p><font class="header1">Create a new Autoregistration host in <?= $conf['zone']->name ?></font></p>

<form name="create_host" method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/autoreg.php">

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("hardware_address"); ?>"><? $conf['help']->show_help_link("hardware_address"); ?> Hardware Address: </td>
                <td>
                        <input name="mac" value="<?= $mac; ?>" size="15" maxlength="12" />
			<?= $conf['error']->show_error('ha'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->display_plain_txt("username"); ?>"><? $conf['help']->show_help_link("username"); ?> Username: </td>
		<td>
			<input name="username" value="<?= $username; ?>" size="15" maxlength="25" />
			<?= $conf['error']->show_error('username'); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Hardware Type:</td>
		<td>
			<select name="type">
				<option value="Wired">Wired</option>
				<option value="Wireless">Wireless</option>
			</select>
		</td>
	</tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_expire'); ?>"><? $conf['help']->show_link('host_expire'); ?>Expire In:</td>
		<td>
		<input type="checkbox" onclick="flipField('expire');" name="use_expire" />
		&nbsp;&nbsp;
		<? if ($expire) { $date = date("m/d/Y",$expire); } ?>
		<input disabled type="textbox" id="expire" name="expire" value="<?= $date; ?>" />
		<?= $conf['error']->show_error('expire'); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td valign="top" title="<? $conf['help']->title('comment'); ?>"><? $conf['help']->show_link('comment'); ?>Comment:</td>
		<td><textarea name="comment" cols="25" rows="4"><?= $comment; ?></textarea>
	</tr>
</table>
<? show_template('bborder'); ?>

<br /><br />
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
			<input type="hidden" name="action" value="create_host" />
			<input type="hidden" name="aup" value="accepted" />
			<input type="hidden" name="autoreg_type" value="<?= $autoreg->get_type($conf['zone']->name); ?>" />
			<input type="submit" value="Create Host" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Cancel" />
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
<input type="hidden" name="not_first_visit" value="1" />

</form>

